
Figure - Bug #118243
【IOVDEV-25798】【内部】【VC1】【0094】【台架】【EE环境】【副屏】【输入法】输入法切换按钮偏小-
新增需求裁剪输入法, 不允许输入法切换
2023-05-25 21:13 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-25

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230505 16：04

【前提条件】：副屏上电

【操作步骤】

1.选择输入框，

2.显示输入法

3.显示输入法切换按钮

【实际结果】

1.输入法切换按钮偏小

【期望结果】

1.按钮设置大一些

History

#1 - 2023-05-26 15:27 - CD FW-廖涛

- Status changed from New to ASSIGNED

■ Current conclusion

根据客户反馈，需要屏蔽掉输入法切换入口，但是由于设备可以安装三方输入法，需要进一步评估屏蔽输入法切换后的影响。

■ Next action

评估屏蔽输入法的影响，然后处理制定方案。

#2 - 2023-05-26 16:06 - CD FW-廖涛

- Due date set to 2023-06-16

#3 - 2023-05-26 18:00 - CD FW-廖涛

- Due date deleted (2023-06-16)

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成
■ Current conclusion

通过讨论评估，系统屏蔽输入法激活和切换入口，但是第三方输入法应用可以在应用内操作拉起输入法激活和切换界面，如果移除相关页面，会导致三

方输入法应该操作无反应，并且无法确认是否会引起一些系统异常。

结论：

保持现状，不做处理。

■ Next action

测试确认并同步客户。

#4 - 2023-06-03 17:32 - CD TEST-方永红

6.3

客户确认中

#5 - 2023-06-25 16:50 - CDTS_TEST 王成

- File 输入法需求优化-IOVOS3-11721.png added

- Assignee changed from CDTS_TEST 王成 to 物联网项目组-RD3_CDTS 周飞

需要确认需求，客户内部提的需求内容如下

http://jira.human-horizons.com/browse/IOVOS3-11721

当前现象：

点击输入框，弹出输入法键盘

存在问题：

1. 键盘占据屏幕中心位置，会遮盖输入框，导致无法看见已输入内容

2. 手写模式下，手写区域会占据整个屏幕，与屏幕上可交互按钮冲突

优化方向：

1. 输入法面积缩小，高度低于整个画面的1/2

2. 输入法遮盖输入框时，整个屏幕画面上移

3. 限定手写输入区域范围，避免覆盖可交互按钮

4. 输入法切换按钮优化，方便用户自行更换输入法

需要评估现有输入法sdk是否能满足以上需求

#6 - 2023-07-10 16:52 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.10

客户已关闭、同步关闭

#7 - 2023-07-10 16:53 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-07-10 16:53 - CD TEST-方永红
- Status changed from VERIFIED to CLOSED

Files

输入法需求优化-IOVOS3-11721.png 59.8 KB 2023-06-25 CDTS_TEST 王成
